libzypp 17.37.10

zypp::filter::SameItemAs Class Reference

Filter items with at least same NVRA, vendor. More...

`#include <zypp/Filter.h>`

## Public Member Functions
| SameItemAs (const sat::Solvable &solv_r)
template<class TSolv>
| SameItemAs (const TSolv &solv_r)
| Fitting PoolItem/ResObject.
bool | operator() (const sat::Solvable &solv_r) const
| Filter on Solvable.
template<class TSolv>
bool | operator() (const TSolv &solv_r) const
| Filter fitting PoolItem/ResObject.

## Private Attributes
sat::Solvable | _item

## Detailed Description

Filter items with at least same NVRA, vendor.

This is usually used to find available packages that matche an insytalled one.

Definition at line 176 of file Filter.h.

## Constructor & Destructor Documentation

## ◆ SameItemAs() [1/2]

zypp::filter::SameItemAs::SameItemAs | ( | const sat::Solvable & | solv_r | ) |
| inline

Definition at line 179 of file Filter.h.

## ◆ SameItemAs() [2/2]

template<class TSolv>

zypp::filter::SameItemAs::SameItemAs | ( | const TSolv & | solv_r | ) |
| inline

Fitting PoolItem/ResObject.

Definition at line 185 of file Filter.h.

## Member Function Documentation

## ◆ operator()() [1/2]

bool zypp::filter::SameItemAs::operator() | ( | const sat::Solvable & | solv_r | ) | const
| inline

Filter on Solvable.

Definition at line 191 of file Filter.h.

## ◆ operator()() [2/2]

template<class TSolv>

bool zypp::filter::SameItemAs::operator() | ( | const TSolv & | solv_r | ) | const
| inline

Filter fitting PoolItem/ResObject.

Definition at line 201 of file Filter.h.

## Member Data Documentation

## ◆ _item

sat::Solvable zypp::filter::SameItemAs::_item
| private

Definition at line 205 of file Filter.h.

The documentation for this class was generated from the following file:

- zypp/Filter.h